Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Version bumped to 0.6.3 + doc update

  • Loading branch information...
commit d3578179d669241f6237348d656c53a4085530d5 1 parent 8ab44d9
@benorama benorama authored
View
2  FacebookSdkGrailsPlugin.groovy
@@ -3,7 +3,7 @@ import org.springframework.aop.scope.ScopedProxyFactoryBean
class FacebookSdkGrailsPlugin {
- def version = "0.6.2"
+ def version = "0.6.3"
def grailsVersion = "2.0 > *"
def author = "Benoit Hediard"
View
13 README.md
@@ -54,6 +54,18 @@ grails.plugin.facebooksdk.app.permissions = {APP_PERMISSIONS} // Ex. ['email','u
grails.plugin.facebooksdk.app.secret = {APP_SECRET}
```
+Since FacebookContext should be instantiated at each request, you must use `prototype` scope for your Controllers (since Grails 2.3, generated Config.groovy defines `singleton` as default scope).
+
+```groovy
+grails.controllers.defaultScope = 'prototype'
+```
+
+Default jQuery selector is `$`, if you require another one, you can define it globally in your _grails-app/conf/Config.groovy_:
+
+ ```groovy
+grails.plugin.facebooksdk.customSelector = 'jQuery'
+```
+
# Getting started with a demo app
If you want to quickly run the SDK on a demo app, you can download [Facebook SDK Grails - Demo](https://github.com/benorama/grails-facebook-sdk-demo).
@@ -77,6 +89,7 @@ Project documentation is located here :
WARNING: Since V0.4.0, _FacebookApp_, _FacebookSdkFilters_ and _FacebookAppService_ from V0.3.* are DEPRECATED and have been replaced by _FacebookContext_.
Please check [FacebookContext](http://agorapulse.github.io/grails-facebook-sdk/guide/facebookContext.html) doc for more info.
+* 2014-05-19 **V0.6.3** : customSelector attribute and config param added to tag lib
* 2014-04-28 **V0.6.2** : bug fix in FacebookContext (use @PostConstruct instead of InitializingBean) to solve reloading issue since Grails 2.3.7 (GRAILS-7799)
* 2014-04-04 **V0.6.1** : TagLib update (scripts are only included once in a page even if tags are used more than once)
* 2014-04-02 **V0.6.0** : Resources Grails Plugin dependencies removed (to be compatible with Asset Pipeline Grails Plugin)
View
3  grails-app/conf/BuildConfig.groovy
@@ -29,5 +29,8 @@ grails.project.dependency.resolution = {
build(':release:3.0.1', ':rest-client-builder:1.0.3') {
export = false
}
+ test(':code-coverage:1.2.7') {
+ export = false
+ }
}
}
View
20 src/docs/guide/configuration.gdoc
@@ -14,7 +14,7 @@ grails.project.dependency.resolution = {
}
plugins {
//here go your plugin dependencies
- runtime ':facebook-sdk:0.6.2'
+ runtime ':facebook-sdk:0.6.3'
}
}
{code}
@@ -131,4 +131,20 @@ You can add the @tokenRetrievalRetryCount@ config parameter to try to extract to
grails.plugin.facebooksdk.tokenRetrievalRetryCount = 10
{code}
-By default, this parameter is usually not required and is disabled by default.
+By default, this parameter is usually not required and is disabled by default.
+
+h3. Controllers scope
+
+Since FacebookContext should be instantiated at each request, you must use `prototype` scope for your Controllers (since Grails 2.3, generated Config.groovy defines `singleton` as default scope).
+
+```groovy
+grails.controllers.defaultScope = 'prototype'
+```
+
+h3. JQuery custom selector
+
+Default jQuery selector is `$`, if you require another one, you can define it globally in your _grails-app/conf/Config.groovy_:
+
+ ```groovy
+grails.plugin.facebooksdk.customSelector = 'jQuery'
+```
View
1  src/docs/guide/introduction.gdoc
@@ -21,6 +21,7 @@ WARNING: Since V0.4.0, @FacebookApp@, @FacebookSdkFilters@ and @FacebookAppServi
Please check [@FacebookContext@|guide:facebookContext] doc for more info.
{warning}
+* 2014-05-19 *V0.6.3* : customSelector attribute and config param added to tag lib
* 2014-04-28 *V0.6.2* : bug fix in FacebookContext (use @PostConstruct instead of InitializingBean) to solve reloading issue since Grails 2.3.7 (GRAILS-7799)
* 2014-04-04 *V0.6.1* : TagLib update (scripts are only included once in a page even if tags are used more than once)
* 2014-04-02 *V0.6.0* : Resources Grails Plugin dependencies removed (to be compatible with Asset Pipeline Grails Plugin)

0 comments on commit d357817

Please sign in to comment.
Something went wrong with that request. Please try again.